<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [HTTPResponse](./puppeteer.httpresponse.md)

## HTTPResponse class

<b>Signature:</b>

```typescript
export declare class HTTPResponse 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(client, request, responsePayload)](./puppeteer.httpresponse._constructor_.md) |  | Constructs a new instance of the <code>HTTPResponse</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [\_resolveBody(err)](./puppeteer.httpresponse._resolvebody.md) |  |  |
|  [buffer()](./puppeteer.httpresponse.buffer.md) |  |  |
|  [frame()](./puppeteer.httpresponse.frame.md) |  |  |
|  [fromCache()](./puppeteer.httpresponse.fromcache.md) |  |  |
|  [fromServiceWorker()](./puppeteer.httpresponse.fromserviceworker.md) |  |  |
|  [headers()](./puppeteer.httpresponse.headers.md) |  |  |
|  [json()](./puppeteer.httpresponse.json.md) |  |  |
|  [ok()](./puppeteer.httpresponse.ok.md) |  |  |
|  [remoteAddress()](./puppeteer.httpresponse.remoteaddress.md) |  |  |
|  [request()](./puppeteer.httpresponse.request.md) |  |  |
|  [securityDetails()](./puppeteer.httpresponse.securitydetails.md) |  |  |
|  [status()](./puppeteer.httpresponse.status.md) |  |  |
|  [statusText()](./puppeteer.httpresponse.statustext.md) |  |  |
|  [text()](./puppeteer.httpresponse.text.md) |  |  |
|  [url()](./puppeteer.httpresponse.url.md) |  |  |

